Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8d

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
Minecraft profile name changes are live. Please be aware to the consequences, mods does not like it: http://bit.ly/1zSfZF9
Hi it's me posted a status update for The 1.7.10 Pack 5 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
Yep, some mods totally don't like it, even a little change in the capitalization of my name (from spellkaze to Spellkaze) reset all my progress of hqm quests, the space race manager and some other mods, but not a big deal, at least for me, thanks for posting this! (Let's hope everyone read this, just to avoid a bad use of the issue tracker)
Posted by Spellkaze 5 years ago
Hey, I have a server up and was wondering if the .0.7.0 update stable? \
Posted by Fredric46 5 years ago
Hey, I have a server up and was wondering if the .0.7.0 update stable? \
Posted by Fredric46 5 years ago
Really soon update 0.7.1 is coming, you should know!
Posted by Hi it's me 5 years ago
-Hold on... you've said that the pack is updated to 0.7.1 but on the launcher it's still only 0.7.0 therefore not being able to join the server... but there's people on the server, care to explain?
Posted by ThatRandom_Guy_ 5 years ago
https://github.com/The-1-7-10-Pack/The-1.7.10-Pack/issues/170#issuecomment-73412586
Posted by Hi it's me 5 years ago
How can i use Plugins on this server?
Posted by EdibleDerpy 5 years ago
You can't, it's not Cauldron. and Cauldron is dead, AKA: Plugin support for modded servers in 1.7 is not available.
Posted by Hi it's me 5 years ago
Awwwww :( I am determined to get plugins working now!
Posted by EdibleDerpy 5 years ago
for some reason the mod pack aint working it wont install
Posted by Dustier7 5 years ago
Just wait a bit and it'll work soon :)
Posted by Hi it's me 5 years ago
(cries)
Posted by Dustier7 5 years ago
Hi, when I try to install the modpack, I get the following error message. FAILED TO DOWNLOAD https://copy.com/W7SdmobsEhLTHolc?download=1 Please consult the modpack author.
Posted by SkinnyTreecko 5 years ago
It should work now.
Posted by Hi it's me 5 years ago
whenever i try to pen the pack it closes tight when it openes
Posted by Dustier7 5 years ago
Please open a new issue on the issue tracker, not here.
Posted by Hi it's me 5 years ago

Latest Update

The 1.12.2 Pack is officially released! After several months of research, development and testing, we're exited to say the sequel is now available through http://bit.ly/The-1-12-2-Pack-Technic-Download. Players of The 1.7.10 Pack, welcome to the new home!